import { config as configDotenv } from 'dotenv';

configDotenv();
export const config = {
    internal_port: parseInt(process.env.APP_PORT) || 4010,
    development: process.env.NODE_ENV === "production",
    version: process.env.VERSION || require('../package.json').version,
    eventname: process.env.EVENT_NAME || "Please set the event name",
    currency_symbol: process.env.CURRENCY_SYMBOL || "€",
    sponsoring_receipt_minimum_amount: process.env.SPONSORING_RECEIPT_MINIMUM_AMOUNT || "10",
    codeformat: process.env.CODEFORMAT || "qrcode",
    sponor_logos: getSponsorLogos()
}
let errors = 0
if (typeof config.internal_port !== "number") {
    errors++
}
if (typeof config.development !== "boolean") {
    errors++
}
function getSponsorLogos(): string[] {
    try {
        const logos = JSON.parse(process.env.SPONOR_LOGOS);
        if (!Array.isArray(logos)) { throw new Error("Not an array.") }
        return logos;
    } catch (error) {
        return ["data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+P+/HgAFhAJ/wlseKgAAAABJRU5ErkJggg=="];
    }
}
export let e = errors